Bug 8832 - Matrox|MGA G400 AGP removed -- NOT!
Summary: Matrox|MGA G400 AGP removed -- NOT!
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-25 12:11 UTC by Tim Waugh
Modified: 2014-03-17 02:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-31 18:11:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-01-25 12:11:38 UTC
After upgrading from Red Hat Linux 6.1 (GNOME workstation) to 6.2beta2,
kudzu reckons that the video card has been replaced.  It hasn't.

Comment 1 Tim Waugh 2000-01-25 12:12:59 UTC
If I say 'Keep configuration', it says that the following hardware has been
added:

Matrox|MGA G400 AGP

Wasn't that what it thought had been removed?

Comment 2 Tim Waugh 2000-01-25 14:03:59 UTC
This also happens with kudzu-0.24-1.

Comment 3 Tim Waugh 2000-01-25 15:36:59 UTC
If you go along with kudzu, and tell it to unconfigure and configure when it
tells you to, the following change to hwconf is made:

--- /home/twaugh/hwconf Tue Jan 25 15:39:34 2000
+++ /etc/sysconfig/hwconf       Tue Jan 25 15:41:52 2000
@@ -62,6 +62,15 @@
 deviceId: 1229
 pciType: 1
 -
+class: VIDEO
+bus: PCI
+detached: 0
+driver: Card:Matrox Millennium G400 16MB
+desc: "Matrox|MGA G400 AGP"
+vendorId: 102b
+deviceId: 0525
+pciType: 1
+-
 class: MOUSE
 bus: PSAUX
 detached: 0
@@ -84,12 +93,3 @@
 desc: "Maxtor 90680U3"
 physical: 14112/15/63
 logical: 830/255/63
--
-class: VIDEO
-bus: PCI
-detached: 0
-driver: Server:SVGA
-desc: "Matrox|MGA G400 AGP"
-vendorId: 102b
-deviceId: 0525
-pciType: 0

Comment 4 Bill Nottingham 2000-01-25 19:33:59 UTC
Oh, yuck; the driver setting changed, so it thinks
the device needs reconfigured. This is going to
be messy.

Comment 5 Bill Nottingham 2000-01-31 18:11:59 UTC
Fixed in kudzu-0.25-1.


Note You need to log in before you can comment on or make changes to this bug.